﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using C1.C1Pdf;
using System.Drawing;
using C1.Web.Wijmo.Controls.C1GridView;
using System.Data.OleDb;
using System.Data;


public partial class Default5 : System.Web.UI.Page
{

    protected void Button1_Click(object sender, EventArgs e)
    {
        ExportToPDF(C1GridView2);
    }

    public void ExportToPDF(C1GridView grid)
    {
        C1PdfDocument pdfdoc = new C1PdfDocument();
        RectangleF rect = pdfdoc.PageRectangle;
        Font font = new Font("Times New Roman", 12);

        StringWriter sw = new StringWriter();
        HtmlTextWriter htmlwriter = new HtmlTextWriter(sw);

        System.Web.UI.HtmlControls.HtmlForm form1 = new System.Web.UI.HtmlControls.HtmlForm();
        grid.AllowPaging = false;
        grid.DataBind();
        form1.Controls.Add(grid);
        form1.Controls[0].RenderControl(htmlwriter);
        StringReader streader = new StringReader(sw.ToString());
        string str = streader.ReadToEnd();
        string savepath = Server.MapPath("TestData.pdf");

        for (int start = 0; ; )
        {
            start = pdfdoc.DrawStringHtml(str, font, Brushes.Black, rect, start);

            // done?
            if (start >= int.MaxValue)
            {
                break;
            }

            // skip to next page
            pdfdoc.NewPage();
        }

        pdfdoc.Save(savepath);
        streader.Close();
        lblUpdate.Text = "Data has been exported to PDF";
        System.Diagnostics.Process.Start(savepath);
     
    }

    

   
}